import { TripsRepository } from "../../../data-access/TripsRepository";
import { AbstractGtfsTripDataFixer } from "./AbstractGtfsTripDataFixer";
export declare class HttpGtfsTripDataFixer extends AbstractGtfsTripDataFixer {
    private tripRepository;
    constructor(tripRepository: TripsRepository);
    fix(queuePrefix: string): Promise<number>;
    private mapTripsToQueueMessage;
}
